commit:     56b834f289980377a06e8f2c45afbb6060db3da6
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu May 13 13:54:43 2021 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Thu May 13 13:54:43 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=56b834f2

sys-fs/sysfsutils: drop unused toolchain-funcs inherit

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sys-fs/sysfsutils/sysfsutils-2.1.0.ebuild | 11 ++++-------
 sys-fs/sysfsutils/sysfsutils-2.1.1.ebuild |  9 +++------
 2 files changed, 7 insertions(+), 13 deletions(-)

diff --git a/sys-fs/sysfsutils/sysfsutils-2.1.0.ebuild 
b/sys-fs/sysfsutils/sysfsutils-2.1.0.ebuild
index fb785858980..73f05bfd26c 100644
--- a/sys-fs/sysfsutils/sysfsutils-2.1.0.ebuild
+++ b/sys-fs/sysfsutils/sysfsutils-2.1.0.ebuild
@@ -2,7 +2,8 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=5
-inherit autotools toolchain-funcs usr-ldscript
+
+inherit autotools usr-ldscript
 
 DESCRIPTION="System Utilities Based on Sysfs"
 HOMEPAGE="http://linux-diag.sourceforge.net/Sysfsutils.html";
@@ -14,14 +15,10 @@ KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc 
ppc64 ~riscv ~s390 sparc
 IUSE="static-libs"
 
 src_prepare() {
-       sed -i 's:AM_CONFIG_HEADER:AC_CONFIG_HEADERS:' configure.ac || die 
#467642
+       sed -i 's:AM_CONFIG_HEADER:AC_CONFIG_HEADERS:' configure.ac || die # 
bug #467642
 
-       # workaround maintainer mode
+       # Workaround maintainer mode
        AT_M4DIR=m4 eautoreconf
-
-       # with eautoreconf you get "Useless epunt_cxx usage"
-       # without you don't
-#      epunt_cxx
 }
 
 src_configure() {

diff --git a/sys-fs/sysfsutils/sysfsutils-2.1.1.ebuild 
b/sys-fs/sysfsutils/sysfsutils-2.1.1.ebuild
index 41ccecdbd60..aa206f6aada 100644
--- a/sys-fs/sysfsutils/sysfsutils-2.1.1.ebuild
+++ b/sys-fs/sysfsutils/sysfsutils-2.1.1.ebuild
@@ -2,7 +2,8 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
-inherit autotools toolchain-funcs usr-ldscript
+
+inherit autotools usr-ldscript
 
 DESCRIPTION="System Utilities Based on Sysfs"
 HOMEPAGE="http://linux-diag.sourceforge.net/Sysfsutils.html 
https://github.com/linux-ras/sysfsutils";
@@ -16,12 +17,8 @@ IUSE="static-libs"
 src_prepare() {
        default
 
-       # workaround maintainer mode
+       # Workaround maintainer mode
        AT_M4DIR=m4 eautoreconf
-
-       # with eautoreconf you get "Useless epunt_cxx usage"
-       # without you don't
-       #epunt_cxx
 }
 
 src_configure() {

Reply via email to